#include <bits/stdc++.h>

#define ll long long

using namespace std;
ll s = 0;
void Rec(ll n, ll m){
    s += n * m;
    if(n * m == 1)
        return;
    if(n > m){
        Rec(n - 1, m);
        Rec(1, m);
    } else {
        Rec(n, m - 1);
        Rec(n, 1);
    }
}
int main() {
//    int t;
//    cin >> t;
//    while(t--){
//        s=0;
//        ll n, m;
//        cin >> n >> m;
//        Rec(n, m);
//        cout << s << endl;
//    }
    ll n, m;
    cin >> n >> m;
    ll x = (n * (n + 1)) / 2 + n - 1;
    ll y = 4, d = 8;
    for(ll i = 0; i < n - 1; i++){
        y += d;
        d += 2;
    }
    d = y - x;
    if(m == 1){
        cout << x;
        return 0;
    }
    if(m == 2){
        cout << y;
        return 0;
    }
    for(int i = 2; i < m; i++){
        d += n;
        y += d;
    }
    cout << y;
}


